summaryrefslogtreecommitdiffstats
path: root/source/l
diff options
context:
space:
mode:
Diffstat (limited to 'source/l')
-rwxr-xr-xsource/l/libcap/libcap.SlackBuild7
-rw-r--r--source/l/libcap/libcap.pkgconfig.path.diff11
-rwxr-xr-xsource/l/python2-module-collection/python2-module-collection.SlackBuild46
3 files changed, 41 insertions, 23 deletions
diff --git a/source/l/libcap/libcap.SlackBuild b/source/l/libcap/libcap.SlackBuild
index 15cd5a8f3..d31535d35 100755
--- a/source/l/libcap/libcap.SlackBuild
+++ b/source/l/libcap/libcap.SlackBuild
@@ -86,11 +86,14 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
+# Put the pkgconfig files in the proper location:
+zcat $CWD/libcap.pkgconfig.path.diff.gz | patch -p1 --verbose || exit 1
+
# Set the CFLAGS
-sed -i.orig "s/^\(DEBUG =\).*/\1$SLKCFLAGS/" Make.Rules
+sed -i "s/^\(DEBUG =\).*/\1$SLKCFLAGS/" Make.Rules
# Disable broken gperf support:
-sed 's@^BUILD_GPERF@#\0@' -i Make.Rules
+sed -i 's@^BUILD_GPERF@#\0@' Make.Rules
make DYNAMIC=yes GOLANG=$GOSUPPORT || exit 1
make install RAISE_SETFCAP=no GOLANG=$GOSUPPORT DESTDIR=$PKG man_prefix=/usr || exit 1
diff --git a/source/l/libcap/libcap.pkgconfig.path.diff b/source/l/libcap/libcap.pkgconfig.path.diff
new file mode 100644
index 000000000..9f3dc55d2
--- /dev/null
+++ b/source/l/libcap/libcap.pkgconfig.path.diff
@@ -0,0 +1,11 @@
+--- ./Make.Rules.orig 2020-05-03 17:56:47.000000000 -0500
++++ ./Make.Rules 2020-05-05 15:10:07.762983203 -0500
+@@ -35,7 +35,7 @@
+ SBINDIR=$(exec_prefix)/sbin
+ INCDIR=$(inc_prefix)/include
+ LIBDIR=$(lib_prefix)/$(lib)
+-PKGCONFIGDIR=$(LIBDIR)/pkgconfig
++PKGCONFIGDIR=$(prefix)/$(LIBDIR)/pkgconfig
+ GOPKGDIR=$(prefix)/share/gocode/src
+
+ # common defines for libcap
diff --git a/source/l/python2-module-collection/python2-module-collection.SlackBuild b/source/l/python2-module-collection/python2-module-collection.SlackBuild
index c34976996..8087c20b9 100755
--- a/source/l/python2-module-collection/python2-module-collection.SlackBuild
+++ b/source/l/python2-module-collection/python2-module-collection.SlackBuild
@@ -88,6 +88,31 @@ find . \
-exec chmod 644 {} \+
}
+# setuptools-44.0.0:
+cd $TMP/$PKGNAM-$VERSION || exit 1
+tar xf $CWD/modules/setuptools-44.0.0.tar.lz || exit 1
+cd setuptools-44.0.0
+fix_perms
+# Install setuptools to the system if it's not there:
+if [ ! -d /usr/lib${LIBDIRSUFFIX}/python2.7/site-packages/setuptools/version.py ]; then
+ python2 setup.py install --root=/ || exit 1
+fi
+python2 setup.py install --root=$PKG || exit 1
+# Drop the python2 version of easy_install so the python 3.x
+# one is the default:
+rm -f $PKG/usr/bin/easy_install
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/setuptools-44.0.0
+cp -a CHANGES.rst PKG-INFO README.rst docs/*.txt \
+ $PKG/usr/doc/$PKGNAM-$VERSION/setuptools-44.0.0
+find $PKG/usr/doc/$PKGNAM-$VERSION/setuptools-44.0.0 -type f -exec chmod 0644 {} \+
+# If there's a CHANGES.rst, installing at least part of the recent history
+# is useful, but don't let it get totally out of control:
+if [ -r CHANGES.rst ]; then
+ DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION/setuptools-44.0.0)
+ cat CHANGES.rst | head -n 1000 > $DOCSDIR/CHANGES.rst
+ touch -r CHANGES.rst $DOCSDIR/CHANGES.rst
+fi
+
# Cython-0.29.16:
cd $TMP/$PKGNAM-$VERSION || exit 1
tar xf $CWD/modules/Cython-0.29.16.tar.lz || exit 1
@@ -122,27 +147,6 @@ cp -a *.txt PKG-INFO README.rst \
$PKG/usr/doc/$PKGNAM-$VERSION/pip-20.0.2
find $PKG/usr/doc/$PKGNAM-$VERSION/pip-20.0.2 -type f -exec chmod 0644 {} \+
-# setuptools-44.0.0:
-cd $TMP/$PKGNAM-$VERSION || exit 1
-tar xf $CWD/modules/setuptools-44.0.0.tar.lz || exit 1
-cd setuptools-44.0.0
-fix_perms
-python2 setup.py install --root=$PKG || exit 1
-# Drop the python2 version of easy_install so the python 3.x
-# one is the default:
-rm -f $PKG/usr/bin/easy_install
-mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/setuptools-44.0.0
-cp -a CHANGES.rst PKG-INFO README.rst docs/*.txt \
- $PKG/usr/doc/$PKGNAM-$VERSION/setuptools-44.0.0
-find $PKG/usr/doc/$PKGNAM-$VERSION/setuptools-44.0.0 -type f -exec chmod 0644 {} \+
-# If there's a CHANGES.rst, installing at least part of the recent history
-# is useful, but don't let it get totally out of control:
-if [ -r CHANGES.rst ]; then
- DOCSDIR=$(echo $PKG/usr/doc/${PKGNAM}-$VERSION/setuptools-44.0.0)
- cat CHANGES.rst | head -n 1000 > $DOCSDIR/CHANGES.rst
- touch -r CHANGES.rst $DOCSDIR/CHANGES.rst
-fi
-
# M2Crypto-0.35.2 and typing-3.7.4.1:
cd $TMP/$PKGNAM-$VERSION || exit 1
tar xf $CWD/modules/M2Crypto-0.35.2.tar.xz || exit 1